# Example imaging script for a data set with some ACA antennas but
# also up to 1.6 km baselines

os.system('rm -rf SgrB2_203_spw2_447-492_C3Hplus.clean*') 
tclean(vis=['X11db_Sgr_B2N.ms_FluxEqual_203'],
	imagename='SgrB2_203_spw2_447-492_C3Hplus.clean', 
        spw='2',                          #
	field='Sgr_B2N',                  
	specmode='cube',            
        outframe='lsrk',
        restfreq='202.387GHz',
	start=447,                       
        nchan=46,
	gridder='mosaic',               # Recommended for mixed antenna sizes
	imsize=800,
        pblimit=0.05,
        threshold='80mJy/beam',
        cell='0.04arcsec',
        weighting='briggs',             
        robust=0.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
	interactive=T)

# Make primary-beam corrected FITS images:
# cube C_3H+ centred on tentative ID

imlist=['SgrB2_203_spw2_447-492_C3Hplus.clean']
for i in imlist:
    os.system('rm -rf '+i+'.pbcorr ' +i+'*fits')
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')




